javax.mail.search

## Class FlagTerm

- java.lang.Object
- - javax.mail.search.SearchTerm
  - - javax.mail.search.FlagTerm

- All Implemented Interfaces:
    Serializable

      public final class FlagTerm
      extends SearchTerm

  This class implements comparisons for Message Flags.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Flags` | `flags` Flags object containing the flags to test.
    `protected boolean` | `set` Indicates whether to test for the presence or absence of the specified Flag.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlagTerm(Flags flags, boolean set)` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)` Equality comparison.
    `Flags` | `getFlags()` Return the Flags to test.
    `boolean` | `getTestSet()` Return true if testing whether the flags are set.
    `int` | `hashCode()` Compute a hashCode for this object.
    `boolean` | `match(Message msg)` The comparison method.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### set

          protected boolean set

      Indicates whether to test for the presence or absence of the specified Flag. If `true`, then test whether all the specified flags are present, else test whether all the specified flags are absent.

    - #### flags

          protected Flags flags

      Flags object containing the flags to test.

  - ### Constructor Detail

    - #### FlagTerm

          public FlagTerm(Flags flags,
                  boolean set)

      Constructor.
      Parameters:
        `flags` - Flags object containing the flags to check for
        `set` - the flag setting to check for

  - ### Method Detail

    - #### getFlags

          public Flags getFlags()

      Return the Flags to test.

    - #### getTestSet

          public boolean getTestSet()

      Return true if testing whether the flags are set.

    - #### match

          public boolean match(Message msg)

      The comparison method.
      Specified by:
        `match` in class `SearchTerm`
      Parameters:
        `msg` - The flag comparison is applied to this Message
      Returns:
        true if the comparson succeeds, otherwise false.

    - #### equals

          public boolean equals(Object obj)

      Equality comparison.
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Compute a hashCode for this object.
      Overrides:
        `hashCode` in class `Object`

Copyright © 2013 Oracle. All Rights Reserved.